{% sw_extends '@Storefront/storefront/component/product/card/box-standard.html.twig' %}

{% block component_product_box_badges %}{% endblock %}

{% block component_product_box_name %}
    {% block component_product_box_new_sysea %}
        <div class="sysea--variant-content-top">
        {% if product.isNew %}
            <span class="badge badge-new sysea--badge-new">{{ "listing.boxLabelNew"|trans|sw_sanitize }}</span>
        {% endif %}
            {% if product.manufacturer.link %}
                <a href="{{ product.manufacturer.link }}" class="sysea--variant-manufacturer-link" title="{{ product.manufacturer.translated.name }}" target="_blank">
            {% endif %}
            <span class="sysea--variant-manufacturer">{{ product.manufacturer.translated.name }}</span>
            {% if product.manufacturer.link %}
                </a>
            {% endif %}
        </div>
    {% endblock %}

    {{ parent() }}

    {% if config('core.listing.showReview') or theme_config('sysea-toggle-reviews') %}
        <div class="product-rating">
            {% if product.ratingAverage %}
                {% sw_include '@Storefront/storefront/component/review/rating.html.twig' with {
                    points: product.ratingAverage,
                    style: 'text-primary'
                } %}
            {% endif %}
        </div>
    {% endif %}
{% endblock %}

{% block component_product_box_variant_characteristics %}{% endblock %}

{% block component_product_box_rating %}{% endblock %}